EBUS(4)

NAME
ebus - eMIPS Extensible I/O BUS driver

SYNOPSIS
ebus0 at mainbus0

DESCRIPTION
ebus is a virtual device for the Extensible I/O BUS realized with eMIPS on FPGA boards such as the BEE3, Xilinx XUP, and Xilinx ML40x systems.

Devices on the BUS can generally be relocated and can be found by scanning the Peripheral Mapping Table at the top of the BUS physical space. The driver is responsible for identifying devices that are currently available, and to map them into the kernel virtual space during the kernel startup procedure.

The ebus driver manages the Extensible I/O BUS on eMIPS and provides

•   Address range management to avoid conflicts.

•   Interrupt vector management.

•   Other utility functions.

ebus is always required to run the NetBSD kernel.

SEE ALSO
emips/ace(4), emips/dz(4), emips/eclock(4), emips/enic(4), emips/intro(4)